Typedefs | Functions

# semaphore.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct SemaphoreInfo | SemaphoreInfo
## Functions
WizardExport SemaphoreInfo * | AllocateSemaphoreInfo (void)
WizardExport void | AcquireSemaphoreInfo (SemaphoreInfo **)
WizardExport void | DestroySemaphoreInfo (SemaphoreInfo **)
WizardExport void | RelinquishSemaphoreInfo (SemaphoreInfo *)
WizardExport void | SemaphoreComponentTerminus (void)
WizardExport WizardBooleanType | SemaphoreComponentGenesis (void)
WizardExport void | LockSemaphoreInfo (SemaphoreInfo *)
WizardExport void | UnlockSemaphoreInfo (SemaphoreInfo *)

## Typedef Documentation

typedef struct SemaphoreInfo SemaphoreInfo

## Function Documentation

WizardExport void AcquireSemaphoreInfo | ( | SemaphoreInfo ** |  | ) |

WizardExport SemaphoreInfo* AllocateSemaphoreInfo | ( | void |  | ) |

References GetWizardThreadId(), SemaphoreInfo::id, SemaphoreInfo::mutex, SemaphoreInfo::reference_count, ResetWizardMemory(), ResourceFatalError, SemaphoreInfo::signature, and ThrowFatalException.

Referenced by AcquireFileInfo(), AcquireRandomInfo(), AcquireSemaphoreInfo(), GetBlobInfo(), GetExceptionInfo(), NewHashmap(), NewLinkedList(), and NewSplayTree().

WizardExport void DestroySemaphoreInfo | ( | SemaphoreInfo ** |  | ) |

WizardExport void LockSemaphoreInfo | ( | SemaphoreInfo * |  | ) |

WizardExport void RelinquishSemaphoreInfo | ( | SemaphoreInfo * |  | ) |

WizardExport WizardBooleanType SemaphoreComponentGenesis | ( | void |  | ) |

References LockWizardMutex(), UnlockWizardMutex(), and WizardTrue.

Referenced by WizardsToolkitGenesis().

WizardExport void SemaphoreComponentTerminus | ( | void |  | ) |

Referenced by WizardsToolkitTerminus().

WizardExport void UnlockSemaphoreInfo | ( | SemaphoreInfo * |  | ) |

References SemaphoreInfo::id, IsWizardThreadEqual(), SemaphoreInfo::mutex, SemaphoreInfo::reference_count, ResourceFatalError, SemaphoreInfo::signature, ThrowFatalException, WizardFalse, and WizardSignature.

Referenced by AcquireFileLock(), AcquireUniqueFileResource(), AcquireWizardMemory(), AcquireWizardResource(), AddValueToSplayTree(), AppendValueToLinkedList(), CatchException(), ClearLinkedList(), ClearWizardException(), CloneSplayTree(), CloseWizardLog(), ConfigureComponentTerminus(), DeleteNodeByValueFromSplayTree(), DeleteNodeFromSplayTree(), DestroyBlob(), DestroyExceptionInfo(), DestroyFileInfo(), DestroyHashmap(), DestroyLinkedList(), DestroyRandomInfo(), DestroySplayTree(), DestroyWizardMemory(), GenerateEntropicChaos(), GetConfigureInfo(), GetConfigureInfoList(), GetConfigureList(), GetEntropyFromReservoir(), GetLastValueInLinkedList(), GetLogInfo(), GetLogInfoList(), GetLogList(), GetMimeInfo(), GetMimeInfoList(), GetMimeList(), GetNextKeyInHashmap(), GetNextKeyInSplayTree(), GetNextValueInHashmap(), GetNextValueInLinkedList(), GetNextValueInSplayTree(), GetValueFromHashmap(), GetValueFromLinkedList(), GetValueFromSplayTree(), GetWizardResource(), GetWizardResourceLimit(), IncreaseHashmapCapacity(), InheritException(), InitializeConfigureList(), InitializeLogList(), InitializeMimeList(), InsertValueInLinkedList(), InsertValueInSortedLinkedList(), LinkedListToArray(), ListWizardResourceInfo(), LogComponentTerminus(), LogWizardEventList(), MimeComponentTerminus(), PutEntryInHashmap(), RelinquishSemaphoreInfo(), RelinquishWizardMemory(), RelinquishWizardResource(), RemoveElementByValueFromLinkedList(), RemoveElementFromLinkedList(), RemoveEntryFromHashmap(), RemoveLastElementFromLinkedList(), RemoveNodeByValueFromSplayTree(), RemoveNodeFromSplayTree(), ResetHashmapIterator(), ResetLinkedListIterator(), ResetSplayTree(), ResetSplayTreeIterator(), ResizeWizardMemory(), ResourceComponentTerminus(), SaveEntropyToReservoir(), SetLogEventMask(), SetLogFormat(), SetRandomKey(), and SetWizardResourceLimit().